export interface ApiToken {
  id: string;
  userId: string;
  name: string;
  value?: string;
  created: Date;
  expires?: Date;
}

export interface LoginSubmit {
  email: string;
  password: string;
}

export interface Measure {
  id: string;
  userId: string;
  slug: string;
  name: string;
  description: string;
  config: object;
}

export interface Measurement {
  id: string;
  measureId: string;
  value: number;
  timestamp: Date;
  extData: object;
}

export interface User {
  id: string;
  displayName: string;
  email: string;
  isAdmin: boolean;
}
